Subject: Re: [bug#32861] [Fwd: [PATCH] fvwm reproducible]

From: Nils Gillmann <[email-masked]>
Date: Fri, 28 Sep 2018 21:54:54 +0000

Ludovic Courtès transcribed 629 bytes:
> Hi Nils,
> 
> Nils Gillmann <[email-masked]> skribis:
> 
> > +From 90e0ab0a5d5eae066f670723cd4c20f113e664be Mon Sep 17 00:00:00 2001
> > +From: Nils Gillmann <[email-masked]>
> > +Date: Mon, 17 Sep 2018 23:23:46 +0000
> > +Subject: [PATCH] Remove compile time __DATE__ and __TIME__ variables from the
> > + source.
> 
> I’ve just tried “guix build fvwm --no-grafts --check”, which suggests
> everything is fine.
> 
> Indeed, our GCC packages include SOURCE_DATE_EPOCH patches, which take
> care of __DATE__ and __TIME__.

So with this GCC 'SOURCE_DATE_EPOCH' all __DATE__ and __TIME__ should
be treated as per SOURCE_DATE_EPOCH specification. I did forget this
I think.

/gnu/store/jdlznqp43zyavbmm9kj5hcsrqrcxj6sr-fvwm-2.6.8/bin/fvwm -V
fvwm 2.6.8 compiled on Jan  1 1970 at 00:00:01

Where I assumed the patch was needed, it is not.

> Can you confirm that fvwm is bit-reproducible for you without this
> patch?

Yes, it is.

> Thank you,
> Ludo’.